# List all articles

You can fetch a list of all articles by making a GET request to https://api.intercom.io/articles.

> 📘 How are the articles sorted and ordered?
>
> Articles will be returned in descending order on the updated_at attribute. This means if you need to iterate through results then we'll show the most recently updated articles first.

Endpoint: GET /articles
Version: 2.15
Security: bearerAuth

## Header parameters:

  - `Intercom-Version` (string)
    Intercom API version.By default, it's equal to the version set in the app package.
    Enum: "1.0", "1.1", "1.2", "1.3", "1.4", "2.0", "2.1", "2.2", "2.3", "2.4", "2.5", "2.6", "2.7", "2.8", "2.9", "2.10", "2.11", "2.12", "2.13", "2.14"

## Response 200 fields (application/json):

  - `type` (string)
    The type of the object - list.
    Enum: "list"

  - `pages` (object,null)
    Cursor-based pagination is a technique used in the Intercom API to navigate through large amounts of data.
A "cursor" or pointer is used to keep track of the current position in the result set, allowing the API to return the data in small chunks or "pages" as needed.

  - `pages.type` (string)
    the type of object pages.
    Enum: "pages"

  - `pages.page` (integer)
    The current page
    Example: 1

  - `pages.next` (object,null)

  - `pages.next.per_page` (integer)
    The number of results to fetch per page.
    Example: 2

  - `pages.next.starting_after` (string,null)
    The cursor to use in the next request to get the next page of results.
    Example: "your-cursor-from-response"

  - `pages.per_page` (integer)
    Number of results per page
    Example: 2

  - `pages.total_pages` (integer)
    Total number of pages
    Example: 13

  - `total_count` (integer)
    A count of the total number of articles.
    Example: 1

  - `data` (array)
    An array of Article objects

  - `data.type` (string)
    The type of object - article.
    Enum: "article"

  - `data.id` (string)
    The unique identifier for the article which is given by Intercom.
    Example: "6871119"

  - `data.workspace_id` (string)
    The id of the workspace which the article belongs to.
    Example: "hfi1bx4l"

  - `data.title` (string)
    The title of the article. For multilingual articles, this will be the title of the default language's content.
    Example: "Default language title"

  - `data.description` (string,null)
    The description of the article. For multilingual articles, this will be the description of the default language's content.
    Example: "Default language description"

  - `data.body` (string,null)
    The body of the article in HTML. For multilingual articles, this will be the body of the default language's content.
    Example: "Default language body in html"

  - `data.author_id` (integer)
    The id of the author of the article. For multilingual articles, this will be the id of the author of the default language's content. Must be a teammate on the help center's workspace.
    Example: "5017691"

  - `data.state` (string)
    Whether the article is published or is a draft. For multilingual articles, this will be the state of the default language's content.
    Enum: "published", "draft"

  - `data.created_at` (integer)
    The time when the article was created. For multilingual articles, this will be the timestamp of creation of the default language's content in seconds.
    Example: 1672928359

  - `data.updated_at` (integer)
    The time when the article was last updated. For multilingual articles, this will be the timestamp of last update of the default language's content in seconds.
    Example: 1672928610

  - `data.url` (string,null)
    The URL of the article. For multilingual articles, this will be the URL of the default language's content.
    Example: "http://intercom.test/help/en/articles/3-default-language"

  - `data.parent_id` (integer,null)
    The id of the article's parent collection or section. An article without this field stands alone.
    Example: "125685"

  - `data.parent_ids` (array)
    The ids of the article's parent collections or sections. An article without this field stands alone.
    Example: [18,19]

  - `data.parent_type` (string,null)
    The type of parent, which can either be a collection or section.
    Example: "collection"

  - `data.default_locale` (string)
    The default locale of the help center. This field is only returned for multilingual help centers.
    Example: "en"

  - `data.translated_content` (object,null)
    The Translated Content of an Article. The keys are the locale codes and the values are the translated content of the article.

  - `data.translated_content.type` (string,null)
    The type of object - article_translated_content.
    Enum: null, "article_translated_content"

  - `data.translated_content.ar` (object,null)
    The Content of an Article.

  - `data.translated_content.ar.type` (string,null)
    The type of object - article_content .
    Enum: null, "article_content"

  - `data.translated_content.ar.title` (string)
    The title of the article.
    Example: "How to create a new article"

  - `data.translated_content.ar.description` (string)
    The description of the article.
    Example: "This article will show you how to create a new article."

  - `data.translated_content.ar.body` (string)
    The body of the article.
    Example: "This is the body of the article."

  - `data.translated_content.ar.author_id` (integer)
    The ID of the author of the article.
    Example: "5017691"

  - `data.translated_content.ar.state` (string)
    Whether the article is published or is a draft .
    Enum: "published", "draft"

  - `data.translated_content.ar.created_at` (integer)
    The time when the article was created (seconds).
    Example: 1663597223

  - `data.translated_content.ar.updated_at` (integer)
    The time when the article was last updated (seconds).
    Example: 1663597260

  - `data.translated_content.ar.url` (string)
    The URL of the article.
    Example: "http://intercom.test/help/en/articles/3-default-language"

  - `data.translated_content.bg` (object,null)
    The Content of an Article.

  - `data.translated_content.bs` (object,null)
    The Content of an Article.

  - `data.translated_content.ca` (object,null)
    The Content of an Article.

  - `data.translated_content.cs` (object,null)
    The Content of an Article.

  - `data.translated_content.da` (object,null)
    The Content of an Article.

  - `data.translated_content.de` (object,null)
    The Content of an Article.

  - `data.translated_content.el` (object,null)
    The Content of an Article.

  - `data.translated_content.en` (object,null)
    The Content of an Article.

  - `data.translated_content.es` (object,null)
    The Content of an Article.

  - `data.translated_content.et` (object,null)
    The Content of an Article.

  - `data.translated_content.fi` (object,null)
    The Content of an Article.

  - `data.translated_content.fr` (object,null)
    The Content of an Article.

  - `data.translated_content.he` (object,null)
    The Content of an Article.

  - `data.translated_content.hr` (object,null)
    The Content of an Article.

  - `data.translated_content.hu` (object,null)
    The Content of an Article.

  - `data.translated_content.id` (object,null)
    The Content of an Article.

  - `data.translated_content.it` (object,null)
    The Content of an Article.

  - `data.translated_content.ja` (object,null)
    The Content of an Article.

  - `data.translated_content.ko` (object,null)
    The Content of an Article.

  - `data.translated_content.lt` (object,null)
    The Content of an Article.

  - `data.translated_content.lv` (object,null)
    The Content of an Article.

  - `data.translated_content.mn` (object,null)
    The Content of an Article.

  - `data.translated_content.nb` (object,null)
    The Content of an Article.

  - `data.translated_content.nl` (object,null)
    The Content of an Article.

  - `data.translated_content.pl` (object,null)
    The Content of an Article.

  - `data.translated_content.pt` (object,null)
    The Content of an Article.

  - `data.translated_content.ro` (object,null)
    The Content of an Article.

  - `data.translated_content.ru` (object,null)
    The Content of an Article.

  - `data.translated_content.sl` (object,null)
    The Content of an Article.

  - `data.translated_content.sr` (object,null)
    The Content of an Article.

  - `data.translated_content.sv` (object,null)
    The Content of an Article.

  - `data.translated_content.tr` (object,null)
    The Content of an Article.

  - `data.translated_content.vi` (object,null)
    The Content of an Article.

  - `data.translated_content.pt-BR` (object,null)
    The Content of an Article.

  - `data.translated_content.zh-CN` (object,null)
    The Content of an Article.

  - `data.translated_content.zh-TW` (object,null)
    The Content of an Article.

  - `data.tags` (object)
    A list of tags objects associated with a conversation

  - `data.tags.type` (string)
    The type of the object
    Enum: "tag.list"

  - `data.tags.tags` (array)
    A list of tags objects associated with the conversation.

  - `data.tags.tags.type` (string)
    value is "tag"
    Example: "tag"

  - `data.tags.tags.id` (string)
    The id of the tag
    Example: "123456"

  - `data.tags.tags.name` (string)
    The name of the tag
    Example: "Test tag"

  - `data.tags.tags.applied_at` (integer,null)
    The time when the tag was applied to the object. Only present when the tag is returned as part of a tagging operation on a contact, conversation, or ticket.
    Example: 1663597223

  - `data.tags.tags.applied_by` (object,null)
    The admin who applied the tag. Only present when the tag is returned as part of a tagging operation on a contact, conversation, or ticket.

  - `data.tags.tags.applied_by.type` (string)
    Example: "contact"

  - `data.tags.tags.applied_by.id` (string,null)
    Example: "1a2b3c"

## Response 401 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: "error.list"

  - `request_id` (string,null)
    Example: "f93ecfa8-d08a-4325-8694-89aeb89c8f85"

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code
    Example: "unauthorized"

  - `errors.message` (string,null)
    Optional. Human readable description of the error.
    Example: "Access Token Invalid"

  - `errors.field` (string,null)
    Optional. Used to identify a particular field or query parameter that was in error.
    Example: "email"


